import { EventBus } from "../../event-bus";
export declare class Line extends EventBus {
    private text;
    private container;
    private textField;
    private advanceButton;
    private active;
    constructor(text: string);
    getDOMNode(): HTMLElement;
    display(element: HTMLElement, appearingCharacters?: boolean, appearingCharacterSpeed?: number): void;
    private fillText;
    getAdvanceButton(): HTMLElement;
}
